David Wolever avatar David Wolever committed 0b1f9db

stuff!

Comments (0)

Files changed (16)

RunSnakeRun/runsnake.conf

+[window]
+maximized = True
+width = 1280
+height = 774
+x = 0
+y = 22
+
 
 IFS="`printf "\n\t"`"
 set -eu
-cd "`dirname "$0"`"
+cd "$(dirname "$0")"
 
+#!/bin/bash
+
+IFS="`printf "\n\t"`"
+set -eu
+
+if [[ "$*" ]]; then
+    echo "usage: git unpull"
+    echo
+    echo "Reverts HEAD back to ORIG_HEAD, for example after a 'git pull'"
+    echo "accidentally creates a merge. This is identical to running"
+    echo "'git reset --hard ORIG_HEAD', except that unpull prints some"
+    echo "helpful information along the way."
+    echo
+    echo "Note that unpull can be run repeatedly; subsequent unpulls will"
+    echo "undo the previous unpull."
+    echo
+    echo "Hint: after an unpull, you can use 'git rebase --onto origin/master'"
+    echo "to rebase (as if you had run 'git pull --rebase')."
+    exit 1
+fi
+
+git log --format="%h %s" ORIG_HEAD..HEAD | {
+    num_changes=0
+    while read line; do
+        let "num_changes += 1"
+        if [[ "$num_changes" -eq 1 ]]; then
+            echo "     HEAD: $line"
+        else
+            echo "           $line"
+        fi
+    done
+    head="$(git log --format="%h %s" -n 1 HEAD)"
+    orig_head="$(git log --format="%h %s" -n 1 ORIG_HEAD)"
+    if [[ "$num_changes" -eq 0 ]]; then
+        echo "     HEAD: $head"
+    fi
+    if [[ "$head" == "$orig_head" ]]; then
+        echo "ORIG_HEAD: $orig_head"
+        echo "HEAD and ORIG_HEAD are the same (nothing to do)"
+        exit 42
+    fi
+    if [[ "$num_changes" -eq 0 ]]; then
+        echo "           (no common commits between HEAD and ORIG_HEAD)"
+    fi
+    echo "ORIG_HEAD: $orig_head"
+
+    if [[ "$num_changes" -gt 2 ]]; then
+        echo "warning: $num_changes commits between HEAD and ORIG_HEAD!"
+    fi
+}
+subst="$?"
+if [[ "$subst" -eq 42 ]]; then
+    exit 0
+fi
+if [[ "$subst" -ne 0 ]]; then
+    echo "$subst"
+fi
+
+read -p "Really reset HEAD to ORIG_HEAD? (y/n) " confirm
+if [[ "$confirm" == "y" || "$confirm" == "yes" ]]; then
+    set -x
+    git reset --hard ORIG_HEAD
+fi
 #!/bin/sh
-python2.6 -m json.tool
+python2.6 -m json.tool | sed -e 's/ $//'
     qref = !"stg refresh"
     qdi = !"stg show"
     tip = show
+    nudge = push
     root = rev-parse --show-toplevel
     serve = daemon --reuseaddr --base-path=. --export-all --verbose --enable=receive-pack --listen=0.0.0.0
     echo = !"f() { echo \"Created branch '$1'\"; }; f"
 env/
 .env/
 *egg-info*
+misc/

inkscape/extension-errors.log

+Extension "Dia Input" failed to load because a dependency was not met.
+Dependency:
+  type: executable
+  location: path
+  string: dia
+  description: In order to import Dia files, Dia itself must be installed.  You can get Dia at http://live.gnome.org/Dia
+
+Extension "DXF Output" failed to load because a dependency was not met.
+Dependency:
+  type: executable
+  location: path
+  string: pstoedit
+  description: pstoedit must be installed to run; see http://www.pstoedit.net/pstoedit
+
+Extension "LaTeX formula" failed to load because a dependency was not met.
+Dependency:
+  type: executable
+  location: path
+  string: latex
+
+Extension "LaTeX formula" failed to load because a dependency was not met.
+Dependency:
+  type: executable
+  location: path
+  string: dvips
+
+Extension "LaTeX formula" failed to load because a dependency was not met.
+Dependency:
+  type: executable
+  location: path
+  string: pstoedit
+
+Extension "XFIG Input" failed to load because a dependency was not met.
+Dependency:
+  type: executable
+  location: path
+  string: fig2dev
+
+Extension "GIMP XCF" failed to load because a dependency was not met.
+Dependency:
+  type: executable
+  location: path
+  string: gimp
+
+Extension "Sketch Input" failed to load because a dependency was not met.
+Dependency:
+  type: executable
+  location: path
+  string: skconvert
+

inkscape/preferences.xml

          id="rect"
          style="fill:blue;"
          usecurrent="1"
-         width="1024"
-         height="768"
+         width="130.90367865814807"
+         height="14.892131982176956"
          rx="0"
          ry="0" />
       <eventcontext
       <eventcontext
          id="arc"
          style="fill:red;"
-         end="270.00000112387448"
-         start="180.00000265910896"
+         end="0"
+         start="0"
          usecurrent="1"
          open="0" />
       <eventcontext
        show_sample_in_list="1"
        style="fill:black;fill-opacity:1;stroke:none;font-family:Novecento wide;font-style:normal;font-weight:bold;font-size:30px;line-height:125%;letter-spacing:0px;word-spacing:0px;-inkscape-font-specification:Novecento wide Bold Expanded;font-stretch:expanded;font-variant:normal;text-anchor:start;text-align:start;writing-mode:lr"
        selcue="1"
-       align_mode="0" />
+       align_mode="1" />
     <eventcontext
        id="nodes"
        selcue="1"
   </group>
   <group
      id="colorselector"
-     page="3" />
+     page="1" />
   <group
      id="embedded">
     <group
        panel_wrap="0"
        x="0"
        y="0"
-       w="347"
-       h="433"
+       w="329"
+       h="432"
        state="2" />
     <group
        id="filtereffects" />
     <group
        id="textandfont"
-       x="547"
-       y="133"
+       x="509"
+       y="154"
        w="667"
        h="525" />
     <group
        h="184"
        state="2" />
     <group
-       id="align" />
+       id="align"
+       panel_size="1"
+       panel_ratio="100"
+       panel_mode="1"
+       panel_wrap="0"
+       align-to="4"
+       x="0"
+       y="0"
+       w="244"
+       h="456"
+       state="2" />
     <group
        id="xml" />
     <group
        panel_ratio="100"
        panel_mode="1"
        panel_wrap="0"
-       x="73"
+       x="576"
        y="0"
        w="388"
        h="509" />
     <group
        id="preferences"
        state="1"
-       page="7"
+       page="2"
        panel_size="1"
        panel_ratio="100"
        panel_mode="1"
        panel_wrap="0"
-       x="484"
-       y="319"
+       x="732"
+       y="243"
        w="305"
-       h="110" />
+       h="100" />
     <group
        id="gradienteditor"
        x="2605"
        h="414" />
     <group
        id="object"
-       x="516"
-       y="292"
+       x="648"
+       y="100"
        w="272"
        h="463" />
     <group
        default=""
        append_extension="1"
        path=""
-       x="536"
+       x="839"
        y="233"
        w="433"
        h="453">
          value="drawing" />
       <group
          id="defaultxdpi"
-         value="30" />
+         value="90" />
     </group>
     <group
        id="save_as"
-       default="org.inkscape.output.pdf.cairorenderer"
+       default="org.inkscape.output.svg.inkscape"
        append_extension="1"
        enable_preview="1"
-       path="/Users/wolever/Dropbox/PyCon US 2013/Sponsor Slides"
+       path="/Users/wolever/code/pyconca/assets-2013/signage/old"
        use_current_dir="1" />
     <group
        id="save_copy"
-       default="org.inkscape.print.ps.cairo"
+       default="org.inkscape.output.pdf.cairorenderer"
        append_extension="1"
        enable_preview="1"
        path="/tmp" />
     <group
        id="open"
        enable_preview="1"
-       path="/Users/wolever/Desktop/" />
+       path="/Users/wolever/" />
     <group
        id="import"
        enable_preview="1"
-       path="/tmp/" />
+       path="/Users/wolever/code/pyconca/assets-2013/video-splash/splash-assets/" />
     <group
        id="debug"
        redirect="0" />
        on-blur="0.50"
        animate-time="100" />
     <group
-       id="livepatheffect"
+       h="239"
+       w="266"
+       y="0"
+       x="0"
+       state="2"
+       panel_wrap="0"
+       panel_mode="1"
+       panel_ratio="100"
        panel_size="1"
+       id="livepatheffect" />
+    <group
+       h="509"
+       w="341"
+       y="0"
+       x="0"
+       state="2"
+       panel_wrap="0"
+       panel_mode="1"
        panel_ratio="100"
+       panel_size="1"
+       id="documentmetadata" />
+    <group
+       h="482"
+       w="405"
+       y="0"
+       x="0"
+       state="2"
+       panel_wrap="0"
        panel_mode="1"
-       panel_wrap="0"
-       state="2"
-       x="0"
-       y="0"
-       w="266"
-       h="239" />
-    <group
-       id="documentmetadata"
+       panel_ratio="100"
        panel_size="1"
-       panel_ratio="100"
-       panel_mode="1"
-       panel_wrap="0"
-       state="2"
-       x="0"
-       y="0"
-       w="341"
-       h="509" />
-    <group
-       id="svgfonts"
-       panel_size="1"
-       panel_ratio="100"
-       panel_mode="1"
-       panel_wrap="0"
-       state="2"
-       x="0"
-       y="0"
-       w="405"
-       h="482" />
+       id="svgfonts" />
   </group>
   <group
      id="printing">
   </group>
   <group
      id="extensions"
-     org.inkscape.input.gdkpixbuf.png.link="link"
+     org.inkscape.input.gdkpixbuf.png.link="embed"
      org.inkscape.input.gdkpixbuf.jpg.link="link"
      org.inkscape.output.pdf.cairorenderer.PDFversion="PDF14"
      org.inkscape.output.pdf.cairorenderer.resolution="90"
      org.inkscape.print.ps.cairo.areaPage="1" />
   <group
      id="desktop"
-     style="fill:#ececec;stroke:none;stroke-opacity:1;stroke-width:1;stroke-miterlimit:4;stroke-dasharray:none;-inkscape-font-specification:Novecento wide Bold Expanded;font-family:Novecento wide;font-weight:bold;font-style:normal;font-stretch:expanded;font-variant:normal;font-size:36px;text-anchor:start;text-align:start;writing-mode:lr;line-height:125%;stroke-dashoffset:0;opacity:1;fill-opacity:1;stroke-linejoin:miter">
+     style="fill:#838383;stroke:#ffffff;stroke-opacity:1;stroke-width:62.50000000000000000;stroke-miterlimit:4;stroke-dasharray:none;-inkscape-font-specification:BigNoodleTitling;font-family:BigNoodleTitling;font-weight:normal;font-style:normal;font-stretch:normal;font-variant:normal;font-size:140px;text-anchor:middle;text-align:center;writing-mode:lr;line-height:125%;stroke-dashoffset:0;opacity:1;fill-opacity:1;stroke-linejoin:miter;stroke-linecap:butt">
     <group
        width="483"
        height="424"
        y="0"
        fullscreen="0"
        id="geometry"
-       maximized="0" />
+       maximized="1" />
     <group
        id="XYfront" />
     <group
 alias grep="grep --color=auto --exclude='*.svn*'"
 alias resize="resize; clear"
 alias py="python"
+alias py3="python3"
 alias ipy="ipython"
 
 vs() {
 alias from="_pyexpect from"
 alias import="_pyexpect import"
 
+alias er="emacsclient --no-wait --create-frame"
+
 . ~/.profile.local

profile.laptop.local

 export FLEX_HOME="/Applications/eclipse/Adobe Flex Builder 3 Plug-in/sdks/3.5/"
 export CLOSURE_HOME="/Users/wolever/code/software/closure-library/closure/"
-export PATH="/usr/local/share/npm/bin/:/usr/local/postgresql/8.4.11/bin/:/Users/wolever/.vcslog/bin:/Users/wolever/bin:/usr/local/vim73/bin:/usr/local/bin:/usr/local/sbin:$PATH:$FLEX_HOME/bin:/usr/local/python32/bin:/usr/local/google_appengine:/usr/local/mysql-5.5.19-osx10.6-x86_64/bin:$CLOSURE_HOME/bin:$CLOSURE_HOME/bin/build"
+export PATH="/usr/local/share/npm/bin/:/usr/local/postgresql/8.4.11/bin/:/Users/wolever/.vcslog/bin:/Users/wolever/bin:/usr/local/vim73/bin:/usr/local/bin:/usr/local/sbin:$PATH:$FLEX_HOME/bin:/usr/local/google_appengine:/usr/local/mysql-5.5.19-osx10.6-x86_64/bin:$CLOSURE_HOME/bin:$CLOSURE_HOME/bin/build"
 #export PATH="/Users/wolever/code/software/hg-crew:$PATH"
 export MANPATH=/opt/local/share/man:$MANPATH
 export LS_COLORS='no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.gz=01;31:*.bz2=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.flac=01;35:*.mp3=01;35:*.mpc=01;35:*.ogg=01;35:*.wav=01;35:'

vim/bundle/vundle/.netrwhist

 let g:netrw_dirhistmax  =10
-let g:netrw_dirhist_cnt =5
-let g:netrw_dirhist_1='/Users/wolever/tmp/wolever.bitbucket.org'
-let g:netrw_dirhist_2='/Users/wolever/code/gdesk-helpdesk'
-let g:netrw_dirhist_3='/Users/wolever/code/gdesk-helpdesk/app'
-let g:netrw_dirhist_4='/Users/wolever/code/gdesk-helpdesk/app/templates'
-let g:netrw_dirhist_5='/Users/wolever/code/gdesk-crx/gdesk_crx/templates'
+let g:netrw_dirhist_cnt =2
+let g:netrw_dirhist_1='/Users/wolever/code/browsercast/.env/browsercast/lib/python2.7/site-packages/IPython'
+let g:netrw_dirhist_2='/Users/wolever/Akindi/repos/akindi/akindi'

vim/bundle/vundle/spell/en.latin1.add

+metadata
Add a comment to this file

vim/bundle/vundle/spell/en.latin1.add.spl

Binary file added.

vim/bundle/vundle/spell/en.utf-8.add

 multithreading
+endian
+iterable
+#nvokation
+subclases
+metadata
+PyCon
+Pythonistas
+#referrably
+presentor's
+IPython
+bookmarklet
+BrowserCast
+ipython
+browsercast
+APIs
+screencasts
+screencast
Add a comment to this file

vim/bundle/vundle/spell/en.utf-8.add.spl

Binary file modified.

 Bundle 'closetag.vim'
 autocmd BufNew,BufNewFile,BufReadPre let b:unaryTagsStack = ""
 
+Bundle 'pyflakes.vim'
+" PyFlakes adds these bindings for some reason that is entirely beyond me...
+silent! vunmap dw
+silent! vunmap dd
+
 Bundle 'matchit.zip'
 Bundle 'gnupg.vim'
-Bundle 'pyflakes.vim'
 Bundle 'gsession.vim'
 Bundle 'hail2u/vim-css3-syntax'
 
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.